Skip to main content
GET
/
v1
/
invoice-payables
/
{invoicePayableId}
/
payments
List invoice payable payments
curl --request GET \
  --url https://api.light.inc/v1/invoice-payables/{invoicePayableId}/payments \
  --header 'Authorization: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "invoicePayableId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "amount": 123,
    "currency": "USD",
    "paymentDate": "2023-12-25",
    "payment": {
      "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "endToEndId": "<string>",
      "originalAmount": 123,
      "originalCurrency": "USD",
      "accountingDocumentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "BP"
    },
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

invoicePayableId
string<uuid>
required

Response

default - application/json;charset=UTF-8

default response

id
string<uuid>

Unique identifier for the payment

invoicePayableId
string<uuid>

ID of the invoice payable this payment cleared

amount
integer<int64>

Payment amount in the smallest currency denomination (e.g. cents), in the invoice payable's currency

currency
string
Example:

"USD"

paymentDate
string<date>

Date the payment was made

payment
Bank payment · object

Type of payment entry for an invoice payable payment

createdAt
string<date-time>

Timestamp when the payment was created